[PATCH 01/23] piglit: Add a script to synchronise the piglit test runner

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



The goal is to to remove the need to clone and compile piglit to run a
piglit enabled igt. Compiling piglit is not actually needed and we can
just grab the python files from a reference checktout.

Signed-off-by: Damien Lespiau <damien.lespiau@xxxxxxxxx>
---
 piglit/sync-from-piglit | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100755 piglit/sync-from-piglit

diff --git a/piglit/sync-from-piglit b/piglit/sync-from-piglit
new file mode 100755
index 0000000..20a95ff
--- /dev/null
+++ b/piglit/sync-from-piglit
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+PIGLIT_DIR=$1
+BASE_DIR="$(cd "$(dirname "$0")"; pwd -P)"
+EXCLUDE_FILE="$BASE_DIR/sync-exclude"
+
+[ -z "$PIGLIT_DIR" ] && {
+	echo "Error: You must specify the piglit directory to sync from"
+	exit 1
+}
+
+cat <<EOF > $EXCLUDE_FILE
+tests
+*.pyc
+*_test.py
+EOF
+
+rsync -rtv --exclude-from $EXCLUDE_FILE	\
+	$PIGLIT_DIR/framework		\
+	$PIGLIT_DIR/templates		\
+	$PIGLIT_DIR/piglit-*.py		\
+	$BASE_DIR
+
+rm -f $EXCLUDE_FILE
-- 
1.8.3.1

_______________________________________________
Intel-gfx mailing list
Intel-gfx@xxxxxxxxxxxxxxxxxxxxx
http://lists.freedesktop.org/mailman/listinfo/intel-gfx




[Index of Archives]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]
  Powered by Linux